[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#552294: linux-image-2.6.26-2-amd64: failure to purge generated files.



Package: linux-image-2.6.26-2-amd64
Version: 2.6.26-19lenny1
Severity: normal


apt-get purge linux-image-2.6.26-2-amd64 succeeds in general, yet fails
to completely purge generated files and, as a consequence,
the corresponding module directory:

root@betelheise:/home/deepfire# apt-get purge linux-image-2.6.26-2-amd64
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libexo-0.3-0 libneon27 libmalaga7 liburi-perl lmodern libexo-common ttf-arphic-uming libpoppler4 libxfce4util4 t1-cyrillic exo-utils ttf-baekmuk tex-common libfaad0
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  linux-image-2.6.26-2-amd64*
0 upgraded, 0 newly installed, 1 to remove and 22 not upgraded.
After this operation, 82.5MB disk space will be freed.
Do you want to continue [Y/n]? 
(Reading database ... 106536 files and directories currently installed.)
Removing linux-image-2.6.26-2-amd64 ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 2.6.26-2-amd64 /boot/vmlinuz-2.6.26-2-amd64
Purging configuration files for linux-image-2.6.26-2-amd64 ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 2.6.26-2-amd64 /boot/vmlinuz-2.6.26-2-amd64
rmdir: failed to remove `/lib/modules/2.6.26-2-amd64': Directory not empty
dpkg: warning: while removing linux-image-2.6.26-2-amd64, directory '/lib/modules/2.6.26-2-amd64' not empty so not removed.

root@betelheise:/home/deepfire# ls -R /lib/modules/2.6.26-2-amd64
/lib/modules/2.6.26-2-amd64:
modules.alias.bin  modules.dep.bin  modules.symbols.bin

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.26-2-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.4     tools for generating an initramfs
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo

linux-image-2.6.26-2-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-2-amd64 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.26              <none>     (no description available)

-- debconf-show failed



Reply to: